import os
from ppt.models import Slide
from django.conf.urls.defaults import *
from django.views.generic import list_detail
from django.http import HttpResponseRedirect

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
   (r'^admin/', include(admin.site.urls)),
   (r'^$', 'ppt.views.redirect_to_slides'),
   (r'^slide/(?P<object_id>\d+)/', list_detail.object_detail, {'queryset': Slide.objects.all(), 
                                                               'template_name': 'slide.html'}),
   (r'^smedia/(?P<path>.*)$',   'django.views.static.serve',  {'document_root': os.path.join(os.getcwd(),'site_media/')}),
)
